using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace WpfApplication2
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		private ObservableCollection<Person> persons = new ObservableCollection<Person>();

		public MainWindow()
		{
			InitializeComponent();
			this.CreateDataSource(5);
			this.radGridView.ItemsSource = this.persons;
		}

		private void CreateDataSource(int count)
		{
			for (int i = 0; i < count; i++)
			{
				this.persons.Add(new Person
				{
					FirstName = "Joe " + i, LastName = "Doe " + i, BirthDay = DateTime.Today.AddDays(i)
				});
			}
		}
	}
}
